#include <windows.h>

#include "MyScroll.h"

// *********************************************************************************

BOOL CMyScroll::Bottom()
{
	return SendMessage(m_hWnd,WM_VSCROLL,MAKEWPARAM(SB_BOTTOM,0),NULL)?TRUE:FALSE;
}

BOOL CMyScroll::Up()
{
	return SendMessage(m_hWnd,WM_VSCROLL,MAKEWPARAM(SB_TOP,0),NULL)?TRUE:FALSE;
}

// *********************************************************************************

BOOL CMyScroll::LineDown()
{
	return SendMessage(m_hWnd,WM_VSCROLL,MAKEWPARAM(SB_LINEDOWN,0),NULL)?TRUE:FALSE;
}

BOOL CMyScroll::LineUp()
{
	return SendMessage(m_hWnd,WM_VSCROLL,MAKEWPARAM(SB_LINEUP,0),NULL)?TRUE:FALSE;
}

// *********************************************************************************

BOOL CMyScroll::PageDown()
{
	return SendMessage(m_hWnd,WM_VSCROLL,MAKEWPARAM(SB_PAGEDOWN,0),NULL)?TRUE:FALSE;
}

BOOL CMyScroll::PageUp()
{
	return SendMessage(m_hWnd,WM_VSCROLL,MAKEWPARAM(SB_PAGEUP,0),NULL)?TRUE:FALSE;
}

// *********************************************************************************

BOOL CMyScroll::Left()
{
	return SendMessage(m_hWnd,WM_HSCROLL,MAKEWPARAM(SB_LEFT,0),NULL)?TRUE:FALSE;
}

BOOL CMyScroll::Right()
{
	return SendMessage(m_hWnd,WM_HSCROLL,MAKEWPARAM(SB_RIGHT,0),NULL)?TRUE:FALSE;
}

// *********************************************************************************

BOOL CMyScroll::LineLeft()
{
	return SendMessage(m_hWnd,WM_HSCROLL,MAKEWPARAM(SB_LINELEFT,0),NULL)?TRUE:FALSE;
}

BOOL CMyScroll::LineRight()
{
	return SendMessage(m_hWnd,WM_HSCROLL,MAKEWPARAM(SB_LINERIGHT,0),NULL)?TRUE:FALSE;
}

// *********************************************************************************

BOOL CMyScroll::PageLeft()
{
	return SendMessage(m_hWnd,WM_HSCROLL,MAKEWPARAM(SB_PAGELEFT,0),NULL)?TRUE:FALSE;
}

BOOL CMyScroll::PageRight()
{
	return SendMessage(m_hWnd,WM_HSCROLL,MAKEWPARAM(SB_PAGERIGHT,0),NULL)?TRUE:FALSE;
}

// *********************************************************************************

void CMyScroll::GetPos(int *horz,int *vert)
{
	*horz = ::GetScrollPos(m_hWnd,SB_HORZ);
	*vert = ::GetScrollPos(m_hWnd,SB_VERT);
}

// *********************************************************************************

BOOL CMyScroll::SetVert(int nScrollCode,short int nPos)
{
	WPARAM param = MAKEWORD(nScrollCode,nPos);
	return SendMessage(m_hWnd,WM_VSCROLL,param,(LPARAM)m_hWnd)?TRUE:FALSE;
}

BOOL CMyScroll::SetHorz(int nScrollCode,short int nPos)
{
	return SendMessage(m_hWnd,WM_HSCROLL,MAKEWORD(nScrollCode,nPos),(LPARAM)m_hWnd)?TRUE:FALSE;
}

// *********************************************************************************
// *********************************************************************************
// *********************************************************************************
