#include <windows.h>

#include "MyStatic.h"

// *********************************************************************************

CMyStatic::CMyStatic() : CMyControl()
{
}

// *********************************************************************************

BOOL CMyStatic::operator=(HWND hWnd)
{
	CMyControl *control = (CMyControl *)this;
	*control = hWnd;
	return TRUE;
}

// *************************************************************************************

BOOL CMyStatic::SetIcon(long idIcon,int dx,int dy)
{
	HICON hbmp = (HICON) LoadImage(GethInstance(),MAKEINTRESOURCE(idIcon),IMAGE_ICON,dx,dy,0);
	if (!hbmp) return FALSE;
	return ::SendMessage(GetHWND(),STM_SETICON,IMAGE_ICON,(LPARAM) hbmp);
	
}

// *************************************************************************************

BOOL CMyStatic::SetText(char *dest)
{
	//if ((GetWindowLong(hWnd,GWL_STYLE) & WS_CHILD)==WS_CHILD) // anciennement dans CMyControl
	CMyString temp;
	temp.AddRepetitiveFormat(" ",255);
	SetWindowText(GetHWND(),temp);
	InvalidateRect(NULL,FALSE);
	return SetWindowText(GetHWND(),dest);
}

// *************************************************************************************
