#include <windows.h>
#include <time.h>
#include <stdio.h>

#include "DebugLog.h"

/* ***********************************************************************************
*********************************************************************************** */

CDebugLog::CDebugLog(char *fileName)
{
	strcpy (m_fileName,fileName);
	m_num = 1;
	Add("## Begin log ##");
}


/* ***********************************************************************************
*********************************************************************************** */

CDebugLog::~CDebugLog()
{
	Add("## End log ##");
}


/* ***********************************************************************************
*********************************************************************************** */

BOOL CDebugLog::Add (char *msg)
{
	FILE *fich = fopen(m_fileName,"at");
	if (!fich) return FALSE;

    struct tm *newtime;
    time_t long_time;

    time(&long_time);                /* Get time as long integer. */
    newtime = localtime(&long_time); /* Convert to local time. */

	if (m_num == 1) fprintf(fich,"#%4d [%02d/%02d/%04d]\t%s\n",m_num ++,newtime->tm_mday,newtime->tm_mon,newtime->tm_year+1900,msg);
	else fprintf(fich,"#%4d [%02dh%02dm%02d]\t%s\n",m_num ++,newtime->tm_hour,newtime->tm_min,newtime->tm_sec,msg);
	fclose (fich);

	return TRUE;
}


/* ***********************************************************************************
*********************************************************************************** */

BOOL CDebugLog::DeleteFile ()
{
	return ::DeleteFile(m_fileName);
}