#if !defined(AFX_MYTHREAD_H__E3E00120_403D_4D65_8CE1_997B8EBB1665__INCLUDED_)
#define AFX_MYTHREAD_H__E3E00120_403D_4D65_8CE1_997B8EBB1665__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/* *******************************************************************************************
	class CTest
	{
		BOOL Compute(int value1,int value2);
	};

	...
	CTest test;

	CMyThtrad thread(test.Compute(12,13));
	thread.Run();

	cf.:
	  * keyword: "wrapper thread vc++" "class thread vc++" "fork win32"
	  * URL: http://www.geocities.com/SiliconValley/Heights/6038/dthreads.html
	  * reinterpret_cast

******************************************************************************************* */


typedef struct
{
	T methode;
	Param param;
} TParam;


template <class T> class CMyThread  
{
	private:
		TParam m_param;
		DWORD m_threadID;
		HANDLE m_hThread;
		
	public:
		CMyThread(T methode , Param param);
		virtual ~CMyThread();

		BOOL Run();
		BOOL Stop(DWORD exitCode=1);
		BOOL IsRunning();
		DWORD GetExitCode();
}

#endif // !defined(AFX_MYTHREAD_H__E3E00120_403D_4D65_8CE1_997B8EBB1665__INCLUDED_)
