#include <windows.h>

#include "MyTime.h"

// *********************************************************************************

CMyTime::CMyTime(int nbSeconds)
{
	m_nbSeconds = nbSeconds;
}

// *********************************************************************************

CMyTime::~CMyTime()
{

}

// *********************************************************************************

void CMyTime::ToString(CMyString &result)
{
	result="";
	if (!m_nbSeconds) 
	{
		result<<"0s ";
		return;
	}

	int nbHeurs;
	int nbMinutes;
	int nbSeconds;

	nbHeurs=m_nbSeconds/(60*60);
	nbMinutes=(m_nbSeconds-nbHeurs*60*60)/60;
	nbSeconds=m_nbSeconds%60;

	if (nbHeurs) result<<nbHeurs<<"h ";
	if (nbMinutes) result<<nbMinutes<<"m ";
	if (nbSeconds) result<<nbSeconds<<"s ";
}

// *********************************************************************************
