#include "stdafx.h"
#include "Counter.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Counter::Counter()
{
	QueryPerformanceFrequency(&frec);
}

Counter::~Counter()
{
}

void Counter::Start()
{
	QueryPerformanceCounter(&debut);	
}

UINT Counter::DeltaInt(BOOL reset)
{
	if (reset) Start();
	QueryPerformanceCounter(&fin);	
	UINT delta = (UINT)((float)((UINT)fin.LowPart  - (UINT)debut.LowPart) / frec.LowPart * 1000.0f);
	return delta;
}

float Counter::DeltaFloat(BOOL reset)
{
	if (reset) Start();
	QueryPerformanceCounter(&fin);	
	return ((float)((UINT)fin.LowPart  - (UINT)debut.LowPart) / frec.LowPart);
}